Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-7864

Make copyDB, cloneDB, etc. work with auth when using old-style users

    • Type: Icon: Bug Bug
    • Resolution: Done
    • Priority: Icon: Major - P3 Major - P3
    • 2.4.0-rc0
    • Affects Version/s: 2.3.2
    • Component/s: Security
    • Labels:
    • ALL

      cloneCollection, clone, and copyDatabase no longer work with authentication enabled. Even though we can't currently support them with auth using the new-style users added in 2.3.2, they should still work for the old-style users, for backwards compatibility.

            Assignee:
            spencer@mongodb.com Spencer Brody (Inactive)
            Reporter:
            spencer@mongodb.com Spencer Brody (Inactive)
            Votes:
            1 Vote for this issue
            Watchers:
            5 Start watching this issue

              Created:
              Updated:
              Resolved: